Bug 1476718 - Overcloud image fails - python-networking-l2gw dependency error
Overcloud image fails - python-networking-l2gw dependency error
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-neutron (Show other bugs)
12.0 (Pike)
Unspecified Unspecified
high Severity high
: beta
: 12.0 (Pike)
Assigned To: Jon Schlueter
Itzik Brown
: Triaged
Depends On:
Blocks: 1533135 1533136 1414428
  Show dependency treegraph
 
Reported: 2017-07-31 05:45 EDT by Itzik Brown
Modified: 2018-01-10 09:48 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-03 11:06:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Itzik Brown 2017-07-31 05:45:38 EDT
Description of problem:
I'm trying to update the overcloud image (using virt-customize) and I get the following error:

--> Running transaction check
---> Package oci-umount.x86_64 2:1.12.6-48.git0fdc778.el7 will be installed
---> Package python-networking-l2gw.noarch 1:10.1.0-0.20170718142454.25133e6.el7ost will be updated
--> Processing Dependency: python-networking-l2gw = 1:10.1.0-0.20170718142454.25133e6.el7ost for package: 1:openstack-neutron-l2gw-agent-10.1.0-0.20170718142454.25133e6.el7ost.noarch
---> Package subscription-manager-plugin-container.x86_64 0:1.19.21-1.el7 will be installed
--> Finished Dependency Resolution
Error: Package: 1:openstack-neutron-l2gw-agent-10.1.0-0.20170718142454.25133e6.el7ost.noarch (@rhos-12.0-signed)
           Requires: python-networking-l2gw = 1:10.1.0-0.20170718142454.25133e6.el7ost
           Removing: 1:python-networking-l2gw-10.1.0-0.20170718142454.25133e6.el7ost.noarch (@rhos-12.0-signed)
               python-networking-l2gw = 1:10.1.0-0.20170718142454.25133e6.el7ost
           Updated By: 1:python-networking-l2gw-10.1.0-0.20170721170224.af0f54a.el7ost.noarch (rhelosp-12.0-puddle)
               python-networking-l2gw = 1:10.1.0-0.20170721170224.af0f54a.el7ost
 You could try using --skip-broken to work around the problem

Version-Release number of selected component (if applicable):
python-networking-l2gw = 1:10.1.0-0.20170718142454.25133e6

How reproducible:


Steps to Reproduce:
1. Update the overcloud image e.g. using 
   virt-customize -a overcloud-full.qcow2 --update --selinux-relabel 
2. Verify that you get the error above
3.

Actual results:


Expected results:


Additional info:
Comment 4 Jon Schlueter 2017-08-03 11:07:00 EDT
Issue was that we had out of sync images vs repo syncing from

Note You need to log in before you can comment on or make changes to this bug.